Message: Re: about installation of OpenScientist / g++-4.1 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: about installation of OpenScientist / g++-4.1 

Keywords: about installation of OpenScientist
Forum: Analysis
Re: Question about installation of OpenScientist (adk)
Date: 24 May, 2007
From: Guy Barrand <Guy Barrand>

   Hello 

  Then I have put the hand on a g++4.1.0 (by using the g++4 command
 on CERN/lxplus) and I can reproduce the error in the CoinGL package. 
 
 In SoExtSelection.cpp, you have to change :
    line 353: SelectionState::SelectionState(SoExtSelection * t)
 by : 
    SelectionState(SoExtSelection *t) 
 
 and : 
    line 361: SelectionState::~SelectionState()
 by :
    ~SelectionState()

  I have modified the code in my repository so that it wil 
 be corrected in OSC-16.1. The code of coin3d-2.4.6 has already the fix.
 
  Else, I have done various tests and it seems ok for me. I have
 added the binary tarball :
    osc_vis-v16r0-Linux-x86_64-gcc_410.zip
 under the OSC download area.

  Regards

    Guy

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

 Add Message Add Message
to: "Re: about installation of OpenScientist / g++-4.1"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]